----------------------------
-- Localized Addon Namespace
----------------------------
local FOLDERNAME, private = ...
private.addonName = "SkillGuide"

----------------------------
-- Options
----------------------------
-- options frame created by AceConfig and used in the
-- Blizzard Interface Options GUI
private.optionsFrame = {}

-- AceConfig table that describes the UI to be drawn
-- by the Interface Options GUI
private.options = {
  name    = private.addonName,
  handler = addon,
  type    = "group",
  args    = {
  },
}

-- AceDB table that is the default options table
-- profile is used by every character that uses that profile
-- char is used by a specific character
private.defaults = {
  profile = {
  },
  char = {
    ['**'] = { -- name of the tradeskill
      level = nil, -- current number of skill points
      ['**'] = {   -- skill color, options are orange, yellow and green
        ['**'] = {  -- recipe/pattern/enchant/plan id
          points = 1, -- number of skill points this recipe/pattern/enchant/plan will provide
          name = nil, -- name of the recipe/pattern/enchant/plan
          ['**'] = {  -- requisite material id
            name = nil,      -- name of the crafting mat
            numNeeded = nil, -- number required to make this recipe/pattern/enchant/plan
          },
        },
      },
    },
  },
}
